Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Smb4K is a SMB/CIFS (Windows) share browser for KDE.
Name:      	smb4k
Version:   	0.10.9
Release:   	1
License: 	GNU/GPL
URL:		http://smb4k.berlios.de
Group:     	Networking/File Transfer
Source0: 	smb4k-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	samba-client
BuildRequires:	libpng-devel libjpeg-devel libart_lgpl-devel freetype-devel fontconfig-devel expat-devel
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	xorg-x11-xtrans-devel

BuildRequires: libX11-devel
BuildRequires: automoc4
BuildRequires: phonon-devel
BuildRequires: libxml2-devel
BuildRequires: soprano-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
Smb4K is a SMB/CIFS share browser for KDE.
It uses the Samba software suite to access the SMB/CIFS
shares of the local network neighborhood. 

%post
ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%files
%defattr(-,root,root)
%{_bindir}/smb4k
%{_bindir}/smb4k_kill
%{_bindir}/smb4k_mount
%{_bindir}/smb4k_sudowriter
%{_bindir}/smb4k_umount
%{_libdir}/kde4/libsmb4kconfigdialog.so
%{_libdir}/kde4/libsmb4knetworkbrowser.so
%{_libdir}/kde4/libsmb4ksearchdialog.so
%{_libdir}/kde4/libsmb4ksharesview.so
%{_libdir}/libsmb4kcore.so
%{_libdir}/libsmb4kcore.so.3
%{_libdir}/libsmb4kcore.so.3.2.0
%{_libdir}/libsmb4kdialogs.so
%{_applications}/kde4/smb4k.desktop
%{_datadir}/config.kcfg/smb4k.kcfg
%{_docdir}/HTML/en/smb4k
%{_datadir}/icons/hicolor/*/apps/smb4k.png
%{_datadir}/icons/oxygen/*/apps/smb4k.png
%{_datadir}/kde4/apps/kconf_update/authentication1.sh
%{_datadir}/kde4/apps/kconf_update/network1.sh
%{_datadir}/kde4/apps/kconf_update/network2.sh
%{_datadir}/kde4/apps/kconf_update/samba1.sh
%{_datadir}/kde4/apps/kconf_update/smb4ksettings.upd
%{_datadir}/kde4/apps/kconf_update/userinterface1.sh
%{_datadir}/kde4/apps/smb4k
%{_locale}/*/LC_MESSAGES/smb4k.mo
%{_locale}/pt/LC_MESSAGES/pt.mo


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.9-1
- Version update
* Wed Apr 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.7-1
- Version update
* Wed Dec 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.4-1
- Version update
* Fri Oct 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.10.1-1
- Version update
* Sat Oct 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.10.0-2
- Version update to final
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.10.0-1
- Version update to KDE 4 Version, beta2
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Version update
* Sun Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- Version update
* Thu Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.0-1
- Version update
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-1
- Version update
* Sun Sep 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.7.3-1
- Version update
* Sat Aug 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version Update
* Mon Jun 19 2006 Christian Metzen <metzench@ccux-linux.de> 0.7.1-1
- Version update
* Wed Jun 14 2006 Christian Metzen <metzench@ccux-linux.de> 0.7.0-1
- Version update
* Wed Mar 29 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.9-1
- Version update, redefined build requires
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.8-1
- Version Update
* Sun Feb 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-1
- Version Update
* Mon Oct 31 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.6.4-1
- Version update
* Wed Aug 31 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.3-1
- Version update
* Mon Aug 29 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.2-1
- Version update
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.0-1
- Version update to 0.6.0
* Tue Jan 11 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.0-2
- Version Update to 0.5.0
* Fri Sep 10 2004 Christian Metzen <metzench@ccux-linux.de> 0.4.1-1
- Initial Release
